Bug 142990

Summary: ports: remove empty files
Product: Ports & Packages Reporter: Ulrich Spoerlein <uqs>
Component: Individual Port(s)Assignee: Martin Wilke <miwi>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description Ulrich Spoerlein 2010-01-19 21:00:21 UTC
There are some empty files in the ports CVS, most likely caused by applying
patches meant to remove those files, but not following up with removing
and "cvs rm" the file.

Fix: 

Please remove the following files, putting them into the Attic.

# Empty patches make no sense
ports/games/bsdgames/files/patch-warns
ports/lang/mono/files/patch-mcs_tools_security_certmgr.cs
ports/lang/mono/files/patch-mono_io-layer_processes.c
ports/mail/postfix-postfwd/files/extra-patch-sbin-postfwd

# these have been replaced by files/foo.in + SUBR_FILES
ports/japanese/multiskkserv/files/multiskkserv.sh
ports/java/jlex/pkg-message
ports/mail/quickml/pkg-install
ports/mail/quickml/pkg-message
ports/net-p2p/gift/files/giftd.sh

# obsoleted by using PLIST_FILES
ports/security/pam_pwdfile/pkg-plist

# This one I'm not sure actually
ports/security/cl-md5-clisp/pkg-plist
How-To-Repeat: find /usr/ports -empty -ls
Comment 1 Martin Wilke freebsd_committer 2010-01-20 05:38:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2010-02-02 23:44:47 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2010-02-02 23:44:47 UTC
miwi        2010-02-02 23:44:38 UTC

  FreeBSD ports repository

  Removed files:
    mail/quickml         pkg-install pkg-message 
    lang/mono/files      patch-mcs_tools_security_certmgr.cs 
                         patch-mono_io-layer_processes.c 
    games/bsdgames/files patch-warns 
    mail/postfix-postfwd/files extra-patch-sbin-postfwd 
    japanese/multiskkserv/files multiskkserv.sh 
    security/pam_pwdfile pkg-plist 
  Log:
  - Drop some empty files
  
  PR:             142990
  Submitted by:   Ulrich Spoerlein <uqs@spoerlein.net>
  
  Revision  Changes    Path
  1.3       +0 -0      ports/games/bsdgames/files/patch-warns (dead)
  1.5       +0 -0      ports/japanese/multiskkserv/files/multiskkserv.sh (dead)
  1.3       +0 -0      ports/lang/mono/files/patch-mcs_tools_security_certmgr.cs (dead)
  1.3       +0 -0      ports/lang/mono/files/patch-mono_io-layer_processes.c (dead)
  1.3       +0 -0      ports/mail/postfix-postfwd/files/extra-patch-sbin-postfwd (dead)
  1.3       +0 -0      ports/mail/quickml/pkg-install (dead)
  1.3       +0 -0      ports/mail/quickml/pkg-message (dead)
  1.4       +0 -0      ports/security/pam_pwdfile/pkg-plist (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"